/**
 * 
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.Event;
import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.web.utilerias.MyListbox;

/**
 * @author Thiago
 *
 */
public class RenderRelatorioVendasBilheteiroSelecionados implements ListitemRenderer {

	
	public void render(Listitem lstm, Object o) throws Exception {
		PuntoVenta puntoVenta = (PuntoVenta) o;

		Listcell lc = new Listcell(puntoVenta.getNombpuntoventa());
		lc.setParent(lstm);

		Empresa empresa = puntoVenta.getEmpresa();
		if (empresa != null) {
			lc = new Listcell(empresa.getNombempresa());
		} else {
			lc = new Listcell("");
		}
		lc.setParent(lstm);

		lc = new Listcell(puntoVenta.getNumPuntoVenta());
		lc.setParent(lstm);

		Button btn = new Button();
		lc = new Listcell();
		lc.setParent(lstm);

		btn.setWidth("16");
		btn.setHeight("16");
		btn.setImage("/gui/img/remove.png");

		btn.addEventListener("onClick", new EventListener() {
			@Override
			public void onEvent(Event event) throws Exception {
				MyListbox listBox = (MyListbox) event.getTarget().getParent().getParent().getParent();
				Listitem listItem = (Listitem) event.getTarget().getParent().getParent();
				listBox.removeItem((PuntoVenta) listItem.getAttribute("data"));
			}
		});
		lc.appendChild(btn);

		lstm.setAttribute("data", puntoVenta);
	}
}
